<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_parttime.mvvm.PartJobProfileViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_parttime.ui.main.PartTimeProfileFragment.ClickProxy" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="vertical">

        <!--   Title的布局    -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_gradient_proifle_title_top"
            android:orientation="vertical">

            <com.guadou.lib_baselib.view.titlebar.StatusbarGrayView
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_46dp">

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:text="我的"
                    android:textColor="@color/white"
                    android:textSize="@dimen/d_18sp" />

                <ImageView
                    android:layout_width="@dimen/d_70dp"
                    android:layout_height="28.5dp"
                    android:layout_gravity="center_vertical|right"
                    android:layout_marginTop="1.5dp"
                    android:layout_marginRight="@dimen/d_12dp"
                    android:src="@drawable/part_time_me_qna" />

            </FrameLayout>

        </LinearLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/refresh_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:focusable="true"
            android:focusableInTouchMode="true"
            app:srlAccentColor="#03A3FE"
            app:srlEnablePreviewInEditMode="false"
            app:srlPrimaryColor="@color/app_blue">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:srlAccentColor="@color/white" />

            <ScrollView
                android:id="@+id/scroll_view_view_profile"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never">

                <LinearLayout
                    android:id="@+id/ll_root_container"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="#FAFDFF"
                    android:orientation="vertical">

                    <!--    头部     -->
                    <FrameLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <!--     弧形的渐变    -->
                        <View
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/d_120dp"
                            android:background="@drawable/shape_gradient_proifle_title_bottom" />

                        <!--   顶部的信息框展示   -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_5dp"
                            android:layout_marginRight="@dimen/d_5dp"
                            android:background="@drawable/profile_white_shadow_comm_bg"
                            android:orientation="horizontal">

                            <com.guadou.lib_baselib.view.CircleImageView
                                android:id="@+id/image_view_profile_photo"
                                android:layout_width="@dimen/d_70dp"
                                android:layout_height="@dimen/d_70dp"
                                android:layout_marginLeft="@dimen/d_20dp"
                                android:layout_marginTop="@dimen/d_30dp"
                                android:scaleType="centerCrop"
                                android:src="@drawable/im_default_head"
                                app:civ_border_color="@color/white"
                                app:civ_border_overlay="true"
                                app:civ_border_width="@dimen/d_1dp" />


                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/d_18dp"
                                android:layout_marginTop="@dimen/d_25dp"
                                android:layout_marginRight="@dimen/d_15dp"
                                android:layout_marginBottom="@dimen/d_26dp"
                                android:layout_weight="1"
                                android:orientation="vertical">

                                <com.guadou.lib_baselib.font_text_view.TextViewBold
                                    android:id="@+id/text_view_full_name"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:textColor="@color/profile_black_28394a"
                                    android:textSize="24sp"
                                    android:text="阳顶天" />


                                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                    android:id="@+id/text_view_email_address"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_horizontal"
                                    android:layout_marginTop="@dimen/d_2dp"
                                    android:textColor="#8098B2"
                                    android:textSize="13.8dp"
                                    android:text="Fangyuan@hongyegroup.com" />

                                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                    android:id="@+id/text_view_joined_date"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center_horizontal"
                                    android:layout_marginTop="@dimen/d_2dp"
                                    android:textColor="#8098B2"
                                    android:textSize="13.8dp"
                                    android:text="10,May 2020" />

                                <LinearLayout
                                    android:id="@+id/ll_profile_me_detail_point"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="@dimen/d_6dp"
                                    android:orientation="horizontal">

                                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                                        android:id="@+id/text_view_profile_points"
                                        android:layout_width="105dp"
                                        android:layout_height="25dp"
                                        android:background="@drawable/shape_5round_main_blue"
                                        android:gravity="center"
                                        android:text="- Credits"
                                        android:textColor="@color/white"
                                        android:textSize="13.5dp" />

                                    <ImageView
                                        android:id="@+id/button_help_points"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_gravity="center_vertical"
                                        android:layout_marginLeft="@dimen/d_9dp"
                                        android:contentDescription="-"
                                        android:src="@drawable/help_blue" />

                                </LinearLayout>

                            </LinearLayout>

                        </LinearLayout>

                    </FrameLayout>

                    <!--Status-->
                    <LinearLayout
                        android:id="@+id/ll_profile_me_detail_status"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_5dp"
                        android:layout_marginRight="@dimen/d_5dp"
                        android:background="@drawable/profile_white_shadow_comm_bg"
                        android:orientation="vertical"
                        android:paddingTop="@dimen/d_20dp"
                        android:paddingBottom="@dimen/d_20dp"
                        binding:clicks="@{click.editProfileInfo}">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/d_25dp"
                                android:layout_marginRight="@dimen/d_10dp"
                                android:drawableLeft="@drawable/iv_profile_status_icon"
                                android:drawablePadding="@dimen/d_12dp"
                                android:text="您的账户状态："
                                android:textColor="@color/profile_black_8098b2"
                                android:textSize="@dimen/d_14sp"
                                tools:text="You account status: " />

                            <TextView
                                android:id="@+id/tv_profile_me_detail_user_status"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="-"
                                android:textColor="@color/green"
                                android:textSize="@dimen/d_14sp" />

                        </LinearLayout>


                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:id="@+id/text_view_additional_info_reject"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_23dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:layout_marginRight="@dimen/d_23dp"
                            android:background="@drawable/shape_gray_3round"
                            android:paddingLeft="33dp"
                            android:paddingTop="@dimen/d_10dp"
                            android:paddingRight="33dp"
                            android:paddingBottom="@dimen/d_10dp"
                            android:text="原因"
                            android:textColor="#8098B2"
                            android:textSize="@dimen/d_14sp"
                            android:visibility="visible" />

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:id="@+id/text_view_additional_info"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_25dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:layout_marginRight="@dimen/d_10dp"
                            android:drawableLeft="@drawable/iv_profile_additional_info_icon"
                            android:drawablePadding="@dimen/d_12dp"
                            android:text="- >"
                            android:textColor="#FFC000"
                            android:textSize="@dimen/d_14sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:id="@+id/btn_urgent"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/d_35dp"
                            android:layout_marginLeft="@dimen/d_23dp"
                            android:layout_marginTop="@dimen/d_15dp"
                            android:layout_marginRight="@dimen/d_23dp"
                            android:layout_marginBottom="@dimen/d_10dp"
                            android:background="@drawable/selector_app_blue_button_round5_bg"
                            android:gravity="center"
                            android:text="加急"
                            android:textColor="@color/white"
                            android:textSize="@dimen/d_15sp"
                            android:visibility="visible"
                            binding:clicks="@{click.userUrgent}" />

                    </LinearLayout>

                    <!--  异步加载-其他的布局  -->
                    <com.guadou.cs_cptservices.widget.AsyncViewStub
                        android:id="@+id/view_stub_root"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:layout="@layout/include_pensonal_turn_up_rate" />

                    <View
                        android:layout_width="1dp"
                        android:layout_height="18dp" />

                </LinearLayout>

            </ScrollView>

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    </LinearLayout>


</layout>
